Subject: bug#12915: 24.2.50; Visiting a file via drag-and-drop should add it to the history of visited files

From: Dani Moncayo <[email-masked]>
Date: Mon, 14 Jan 2013 09:18:01 +0100

On Mon, Jan 14, 2013 at 8:52 AM, Juri Linkov <[email-masked]> wrote:

> My observations were the result of the experiment when I optimistically
> tried this feature, but quickly became annoyed by too many unnecessary
> elements added by direct user request in dired, next-error, etc
> to the minibuffer history.  When I browse a lot of files using dired
> then I likely re-visit them again with the same dired commands,
> not with C-x C-f.  OTOH, I expect to see only files visited with C-x C-f
> in the history of C-x C-f.
>
> What do you think about adding these file names not to the history
> but to the suggestions like in web browsers where the top elements of
> the suggestions drop-down list are the most frequently visited pages
> (in Emacs this would mean the most frequently visited files).

For my use cases, I'd prefer the files get added to the history.  It
would be more intuitive for me, because I think of that list as the
list of files I've visited so far.

I understand your point too, therefore I think that maybe Drew was
right: not all of us (users) want the same behavior here, thus such
behavior should be customizable.

-- 
Dani Moncayo